package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationimgtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "DESENSITIZATIONIMGINFO"
)
public class DesensitizationImgInfo extends TBaseEntity implements Serializable {
   private static final long serialVersionUID = -1L;
   private String sourceDirPath;
   private String maskingImgType;
   private String maskingContent;
   private String targetDirPath;
   private String taskid;

   public String getSourceDirPath() {
      return this.sourceDirPath;
   }

   public void setSourceDirPath(String sourceDirPath) {
      this.sourceDirPath = sourceDirPath;
   }

   public String getMaskingImgType() {
      return this.maskingImgType;
   }

   public void setMaskingImgType(String maskingImgType) {
      this.maskingImgType = maskingImgType;
   }

   public String getMaskingContent() {
      return this.maskingContent;
   }

   public void setMaskingContent(String maskingContent) {
      this.maskingContent = maskingContent;
   }

   public String getTargetDirPath() {
      return this.targetDirPath;
   }

   public void setTargetDirPath(String targetDirPath) {
      this.targetDirPath = targetDirPath;
   }

   public static long getSerialversionuid() {
      return -1L;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }
}
